Workspaces
List active alerts
Returns a paginated list of active alerts for the selected Workspace.
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
alerts
List active alerts
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "64f0c2a1b2d3e4f506070811",
"name": "Uso alto de CPU",
"description": "El uso de CPU superó el umbral",
"severity": "critical",
"started_at": "2026-03-15T08:00:00Z",
"authorized_minutes": 30,
"notified_at": "2026-03-15T08:05:00Z",
"information": "El uso actual es 96%",
"threshold_unit_name": "percent",
"threshold_value": 90,
"element": "cpu",
"category": "performance"
}
]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier.
Required string length:
24Pattern:
^[0-9a-f]{24}$Workspace ID
Required string length:
24Pattern:
^[0-9a-f]{24}$Query Parameters
Page number.
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Comma-separated names of response element fields to include.
Maximum string length:
2048JSON filter expression over paths of filterable response fields.
Maximum string length:
5120Ordering expression with the format :asc|desc on route scalar fields orderable in the response.
⌘I
List active alerts
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/alerts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "64f0c2a1b2d3e4f506070811",
"name": "Uso alto de CPU",
"description": "El uso de CPU superó el umbral",
"severity": "critical",
"started_at": "2026-03-15T08:00:00Z",
"authorized_minutes": 30,
"notified_at": "2026-03-15T08:05:00Z",
"information": "El uso actual es 96%",
"threshold_unit_name": "percent",
"threshold_value": 90,
"element": "cpu",
"category": "performance"
}
]
}